# Class TxnLogToolkit

java.lang.Object
org.apache.zookeeper.server.persistence.TxnLogToolkit

All Implemented Interfaces:
  `Closeable, AutoCloseable`

public class TxnLogToolkit extends Object implements Closeable

## Constructor Summary

Constructors
Constructor
Description
`TxnLogToolkit(boolean recoveryMode, boolean verbose, String txnLogFileName, boolean force)`
`TxnLogToolkit(String txnLogFileName, String zxidName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`chop()`
`void`
`close()`
`void`
`dump(Scanner scanner)`
`boolean`
`isDumpMode()`
`static void`
`main(String[] args)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TxnLogToolkit

public TxnLogToolkit(boolean recoveryMode, boolean verbose, String txnLogFileName, boolean force) throws FileNotFoundException, org.apache.zookeeper.server.persistence.TxnLogToolkit.TxnLogToolkitException

Throws:
  `FileNotFoundException`
  `org.apache.zookeeper.server.persistence.TxnLogToolkit.TxnLogToolkitException`

### TxnLogToolkit

public TxnLogToolkit(String txnLogFileName, String zxidName) throws org.apache.zookeeper.server.persistence.TxnLogToolkit.TxnLogToolkitException

Throws:
  `org.apache.zookeeper.server.persistence.TxnLogToolkit.TxnLogToolkitException`

## Method Details

### main

public static void main(String[] args) throws Exception

Parameters:
  `args` - Command line arguments
Throws:
  `Exception`

### dump

public void dump(Scanner scanner) throws Exception

Throws:
  `Exception`

### chop

public void chop()

### isDumpMode

public boolean isDumpMode()

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`